# [Jigoshop](http://www.jigoshop.com)

Jigoshop is a feature-packed eCommerce plugin built upon WordPress core functionality and modern coding standards ensuring excellent performance.

## Quick start

1. Install [Composer](http://getcomposer.org), [Gulp](http://gulpjs.com) and [Bower](http://bower.io/)
2. Clone the git repository: `git clone https://github.com/jigoshop/jigoshop.git`
3. Install required dependencies: `composer.phar update --no-dev`
    * Note: if you want to run tests or make some changes to the code remove `--no-dev` parameter from Composer update call.
4. (Optionally) Run tests to verify everything is working correctly: `php vendor/phpunit/phpunit/phpunit.php --configuration phpunit.xml.dist`
5. Run `bower update` to update frontend libraries.
6. Run `gulp dist` to prepare final package.
7. Use files located inside `dist` directory to run your Jigoshop build!

## Bug tracker

Have a bug? Please create an issue here on GitHub!

[https://github.com/jigoshop/jigoshop-ecommerce/issues](https://github.com/jigoshop/jigoshop-ecommerce/issues)

## Contributing

See [CONTRIBUTING.md](CONTRIBUTING.md)

Anyone and everyone is welcome to contribute. Jigoshop wouldn't be what it is today without the GitHub community.

There are several ways you can help out:

* Raising [issues](https://github.com/jigoshop/jigoshop-ecommerce/issues) on GitHub.
* Submit bug fixes or offer new features / improvements by sending [pull requests](http://help.github.com/send-pull-requests/).
* Offering [your own translations](https://os958g2.oneskyapp.com).

## Change Log

See [CHANGELOG.md](CHANGELOG.md)

## Project information

* Web: http://www.jigoshop.com
* Docs: http://docs.jigoshop.com
* Twitter: http://twitter.com/jigoshop
* Source: http://github.com/jigoshop/jigoshop-ecommerce
